'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
'File Name: Requirements.vbs
'Purpose: To check essential requirements before installing SP
''			2. An intended version must be installed to continue with SP
'Author: Jigar Desai and Joseph Kisiel
'
'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''

set args = WScript.Arguments
miVer = "VB10B"
argLog = args(0)

Set objFSO = CreateObject("Scripting.FileSystemObject")

If objFSO.FileExists(argLog) Then 
	Set logfile = objFSO.OpenTextFile(argLog, 8)
else
	Set logfile = objFSO.CreateTextFile(argLog, True) 
end if


'Checking for MIApps version
If objFSO.FileExists("C:\esoft\bin\esverinfo.exe") Then
    sFileVer = objFSO.GetFileVersion("C:\esoft\bin\esverinfo.exe")
    verArray = Split(sFileVer, ".", -1, 1)

    logfile.WriteLine(vbTab & "MIApps version is " & sFileVer)
	If ((verArray(0) = "10") AND (verArray(1) >= "0" And verArray(1) < "200" )) then
		logfile.WriteLine(vbTab & "MIApps Symbia VB10x is installed on the system. This Service Pack requires MIApps symbia VB20x installed on the system.")
		Wscript.quit("1000")
    ElseIf ((verArray(0) = "8") AND (verArray(1) >= "8" And verArray(1) < "950")) then
		logfile.WriteLine(vbTab & "MIApps ecam VB10x is installed on the system. This Service Pack requires MIApps ecam VB20x installed on the system.")
		Wscript.quit("1000")
	end if 
Else
	logfile.WriteLine(vbTab & "MIApps is not installed on the system. No changes are made to the system.")
	Wscript.quit("1000")
	
end if
	
Set args = Nothing
Set objFSO = Nothing

Wscript.quit("0")

