@echo off

ECHO Call installation script of each MS Hotfix Patch Day ...

SET SLEEP15=sleep 15
SET ERRORCODE=0
SET LOCAL_LOG_FILE=C:\temp\VS20A_HF01_LOG\install.log
SET LOCAL_VERSION_FILE="%MEDHOME%\config\InstalledPatchVersion"

IF DEFINED SLEEP SET SLEEP15=%SLEEP% 15000

mkdir C:\temp\VS20A_HF01_LOG

SET STARTDIR=%~dp0
SET INSTALLMSHOTFIXES=install_MsHotfixes.cmd

@ECHO %~dpf0 Started at %DATE% %TIME% on host %COMPUTERNAME% >> %LOCAL_LOG_FILE%

@ECHO executing Requirement.vbs from cscript /nologo %STARTDIR%\Requirement.vbs %LOCAL_LOG_FILE% >> %LOCAL_LOG_FILE%
cscript /nologo %STARTDIR%\Requirement.vbs %LOCAL_LOG_FILE%
if %ERRORLEVEL% NEQ 0 goto ErrorMIVersion

REM start Windows upate service
sc config "wuauserv" start= demand>NUL
sc start "wuauserv">NUL



SET PATCHDAY=201703
CALL :INSTALL_PATCHDAY


GOTO :BATCHRETURN

:INSTALL_PATCHDAY
SET CMD=%STARTDIR%MS-PATCH-%PATCHDAY%\%INSTALLMSHOTFIXES%
IF /I EXIST %CMD% CALL %CMD%
GOTO :EOF


:ErrorMIVersion
@echo on
@echo ERROR: This hotfix requires VB20x to be installed on the system.
@echo off
@echo ERROR: This hotfix requires VB20x to be installed on the system. >> %LOCAL_LOG_FILE%
@echo        No changes have been made to the system. Installation will now abort. Please continue using the system. >> %LOCAL_LOG_FILE%
@ECHO The batch file is returning with the errorcode as 1000 >> %LOCAL_LOG_FILE%
SET ERRORCODE=1000
goto End

:BATCHRETURN
@ECHO The batch file is returning with the errorcode as %ERRORCODE% >> %LOCAL_LOG_FILE%
@IF %ERRORCODE% == 0 (
	@ECHO Installation completed successfully.
	@ECHO VS20A_HF01_Beta1 >> %LOCAL_VERSION_FILE%
) ELSE (
	@ECHO Installation encountered error, check the installation log file.
	@ECHO "There are some error(s) in the installation, check the return codes in this log file." >> %LOCAL_LOG_FILE%
)

REM Stop Windows update service
sc stop "wuauserv" >NUL
sc config "wuauserv" start= disabled >NUL


:END

EXIT /B %ERRORCODE%